/*---------------+---------------------------------------------------------------+--------------+
                 | Author: Daniel Porumbel 2018       daniel.porumbel@cnam.fr    |
                 |License: Creative Commons Attribution 3.0 Unported License     |
                 |         http://creativecommons.org/licenses/by/3.0/           |             
                 +--------------------------------------------------------------*/
#ifndef LPSTAB_H_INCLUDED
#define LPSTAB_H_INCLUDED

//When solving the relaxed stable, we need reinforce the model with clique constraints that say that
//the stable has at most one element selected in any clique of size maxClqElems
extern int maxClqElems;
//The highest clique size for which BBBS requires <0.01 seconds
extern int fastClqSz;

extern int calls;                          //nr of intersect calls
//                1 - x^Ta
//return   min   -----------, as constraints are (x+ty)^T a <=1 for a= frac coloring
//                 y^T a
//x>=0, y arbitrary but non-zero
double intersectRRStables(double *x, double *y, double*fracStabl);
double intersectStdStables(double *x, double *y, double*fracStabl, int verCode);
#endif
